OutFile "landed-win32.exe"
Name "LANDED"
CRCCheck on
SetCompressor /SOLID lzma
RequestExecutionLevel admin
InstallDirRegKey HKLM "Software\LANDED\LANDED" "Install_Dir"
InstallDir "$PROGRAMFILES\LANDED\"

Section "LANDED (required)" core
        SectionIn RO
        SetOutPath "$INSTDIR"
        File "landed.exe"
	File "ffmpeg.exe"
;registry stuff for uninstall and uninstall itself
        WriteRegStr HKLM "Software\LANDED" "Install_Dir" "$INSTDIR"
	WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\LANDED" "DisplayName" "LANDED (remove only)"
	WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\LANDED" "UninstallString" "$INSTDIR\Uninstall.exe"
	WriteUninstaller "$INSTDIR\Uninstall.exe"
	WriteRegStr HKCR ".eddb" "" "LANDED.Document"
	WriteRegStr HKCR "LANDED.Document" "" "Event Display Database File"
	WriteRegStr HKCR "LANDED.Document\DefaultIcon" "" "$INSTDIR/landed.exe,1"
	WriteRegStr HKCR "LANDED.Document\shell\open\command" "" '"$INSTDIR\landed.exe" "%1"' 
SectionEnd

Section "MingW Runtime" mingw
        SetOutPath "$SYSDIR"
	SetOverwrite ifnewer
        File "C:\mingw32\bin\libgcc_s_dw2-1.dll"
        File "C:\mingw32\bin\libstdc++-6.dll"
        File "C:\mingw32\bin\libwinpthread-1.dll"
SectionEnd

Section "Qt Binaries" qt
        SetOutPath "$SYSDIR"
	SetOverwrite ifnewer
        File "C:\Qt\4.8.6\bin\QtCore4.dll"
        File "C:\Qt\4.8.6\bin\QtGui4.dll"
        File "C:\Qt\4.8.6\bin\QtOpenGL4.dll"
        File "C:\Qt\4.8.6\bin\QtNetwork4.dll"
        File "C:\Qt\4.8.6\bin\QtSql4.dll"
        File "C:\Qt\4.8.6\bin\QtXml4.dll"
SectionEnd

Section "Qt sqlite plugin" sp
	SetOutPath "C:\Qt\4.8.6\plugins\sqldrivers"
	SetOverwrite ifnewer
	File "C:\Qt\4.8.6\plugins\sqldrivers\qsqlite4.dll"
SectionEnd

Section "Start Menu Shortcuts" startmenu
        CreateShortCut "$SMPROGRAMS\LANDED.lnk" "$INSTDIR\landed.exe" "" "$INSTDIR\landed.exe" 0
SectionEnd

Section "Desktop Shortcut" desktop
        CreateShortCut "$DESKTOP\LANDED.lnk" "$INSTDIR\landed.exe" "" "$INSTDIR\landed.exe" 0
SectionEnd

Section "Uninstall"
	RMDir /r "$INSTDIR\*.*"
	RMDIR "$INSTDIR"
	Delete "$DESKTOP\LANDED.lnk"
	Delete "$SMPROGRAMS\LANDED.lnk"
        DeleteRegKey HKLM "Software\LANDED"
	DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\LANDED"
	DeleteRegKey HKCR ".eddb"
	DeleteRegKey HKCR "LANDED.Document"
	DeleteRegKey HKCR "LANDED.Document\DefaultIcon"
	DeleteRegKey HKCR "LANDED.Document\shell\open\command"
SectionEnd
