#include "led.hh"

#include <QPixmap>
#include <QPainter>

LED::
LED(QWidget* parent, int size):
  QWidget(parent),
  size_(size<64?size:64)
{
  setFixedSize(size, size);
  on_=false;
}

void LED::
paintEvent(QPaintEvent*)
{
const char * ledoff_xpm[] = {
"64 64 170 2",
"  	c None",
". 	c None",
"+ 	c #DCDCDC",
"@ 	c #D5D5D5",
"# 	c #CFCFCF",
"$ 	c #D0D0D0",
"% 	c #D4D4D4",
"& 	c #C7C7C7",
"* 	c #C4C4C4",
"= 	c #C2C2C2",
"- 	c #C1C1C1",
"; 	c #C3C3C3",
"> 	c #C6C6C6",
", 	c #C9C9C9",
"' 	c #CDCDCD",
") 	c #D1D1D1",
"! 	c #D9D9D9",
"~ 	c #D6D6D6",
"{ 	c #CBCBCB",
"] 	c #BEBEBE",
"^ 	c #BCBCBC",
"/ 	c #BDBDBD",
"( 	c #C0C0C0",
"_ 	c #CCCCCC",
": 	c #DDDDDD",
"< 	c #BFBFBF",
"[ 	c #BBBBBB",
"} 	c #B9B9B9",
"| 	c #AFAFAF",
"1 	c #9A9A9A",
"2 	c #909090",
"3 	c #929292",
"4 	c #949494",
"5 	c #959595",
"6 	c #A2A2A2",
"7 	c #CACACA",
"8 	c #DBDBDB",
"9 	c #B8B8B8",
"0 	c #ACACAC",
"a 	c #777777",
"b 	c #494949",
"c 	c #333333",
"d 	c #353535",
"e 	c #343434",
"f 	c #4C4C4C",
"g 	c #7E7E7E",
"h 	c #A5A5A5",
"i 	c #D2D2D2",
"j 	c #D7D7D7",
"k 	c #737373",
"l 	c #484848",
"m 	c #323232",
"n 	c #191919",
"o 	c #0C0C0C",
"p 	c #0D0D0D",
"q 	c #080808",
"r 	c #141414",
"s 	c #2F2F2F",
"t 	c #4D4D4D",
"u 	c #818181",
"v 	c #A8A8A8",
"w 	c #DEDEDE",
"x 	c #7D7D7D",
"y 	c #454545",
"z 	c #222222",
"A 	c #1A1A1A",
"B 	c #1B1B1B",
"C 	c #171717",
"D 	c #131313",
"E 	c #0F0F0F",
"F 	c #090909",
"G 	c #151515",
"H 	c #2E2E2E",
"I 	c #4E4E4E",
"J 	c #E0E0E0",
"K 	c #C5C5C5",
"L 	c #3B3B3B",
"M 	c #242424",
"N 	c #303030",
"O 	c #262626",
"P 	c #1C1C1C",
"Q 	c #101010",
"R 	c #0A0A0A",
"S 	c #070707",
"T 	c #121212",
"U 	c #434343",
"V 	c #DADADA",
"W 	c #DFDFDF",
"X 	c #939393",
"Y 	c #292929",
"Z 	c #606060",
"` 	c #5F5F5F",
" .	c #4F4F4F",
"..	c #3C3C3C",
"+.	c #232323",
"@.	c #060606",
"#.	c #111111",
"$.	c #515151",
"%.	c #B0B0B0",
"&.	c #E3E3E3",
"*.	c #D3D3D3",
"=.	c #747474",
"-.	c #8B8B8B",
";.	c #9B9B9B",
">.	c #787878",
",.	c #595959",
"'.	c #414141",
").	c #252525",
"!.	c #1D1D1D",
"~.	c #0E0E0E",
"{.	c #050505",
"].	c #2D2D2D",
"^.	c #898989",
"/.	c #E6E6E6",
"(.	c #BABABA",
"_.	c #979797",
":.	c #878787",
"<.	c #6A6A6A",
"[.	c #161616",
"}.	c #0B0B0B",
"|.	c #555555",
"1.	c #B5B5B5",
"2.	c #E7E7E7",
"3.	c #767676",
"4.	c #424242",
"5.	c #272727",
"6.	c #202020",
"7.	c #040404",
"8.	c #8F8F8F",
"9.	c #E4E4E4",
"0.	c #E8E8E8",
"a.	c #4A4A4A",
"b.	c #2A2A2A",
"c.	c #585858",
"d.	c #EAEAEA",
"e.	c #919191",
"f.	c #1F1F1F",
"g.	c #020202",
"h.	c #B2B2B2",
"i.	c #EBEBEB",
"j.	c #ECECEC",
"k.	c #030303",
"l.	c #3D3D3D",
"m.	c #EFEFEF",
"n.	c #F0F0F0",
"o.	c #3F3F3F",
"p.	c #F4F4F4",
"q.	c #404040",
"r.	c #FAFAFA",
"s.	c #F9F9F9",
"t.	c #616161",
"u.	c #FFFFFF",
"v.	c #FEFEFE",
"w.	c #2C2C2C",
"x.	c #A1A1A1",
"y.	c #F1F1F1",
"z.	c #A4A4A4",
"A.	c #808080",
"B.	c #B1B1B1",
"C.	c #F2F2F2",
"D.	c #C8C8C8",
"E.	c #D8D8D8",
"F.	c #B7B7B7",
"G.	c #E1E1E1",
"H.	c #E5E5E5",
"I.	c #F5F5F5",
"J.	c #FBFBFB",
"K.	c #E9E9E9",
"L.	c #EEEEEE",
"M.	c #EDEDED",
". . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . + + @ @ # # $ $ @ @ + + . . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . + + @ @ # # $ $ @ @ + + . . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . % % & & * * = = - - - - ; ; > > , , ' ' ) ) ! ! . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . % % & & * * = = - - - - ; ; > > , , ' ' ) ) ! ! . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . ~ ~ { { = = ] ] ^ ^ / / ] ] ( ( = = * * & & , , _ _ $ $ @ @ : : . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . ~ ~ { { = = ] ] ^ ^ / / ] ] ( ( = = * * & & , , _ _ $ $ @ @ : : . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . ' ' * * < < [ [ } } | | 1 1 2 2 3 3 4 4 5 5 6 6 ^ ^ 7 7 ' ' ) ) @ @ 8 8 . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . ' ' * * < < [ [ } } | | 1 1 2 2 3 3 4 4 5 5 6 6 ^ ^ 7 7 ' ' ) ) @ @ 8 8 . . . . . . . . . . . . . . ",
". . . . . . . . . . . . ' ' ; ; [ [ 9 9 0 0 5 5 a a b b c c d d d d e e f f g g h h ( ( # # i i j j + + . . . . . . . . . . . . ",
". . . . . . . . . . . . ' ' ; ; [ [ 9 9 0 0 5 5 a a b b c c d d d d e e f f g g h h ( ( # # i i j j + + . . . . . . . . . . . . ",
". . . . . . . . . . ' ' ; ; [ [ 0 0 3 3 k k l l m m n n o o p p o o q q r r s s t t u u v v * * @ @ ! ! w w . . . . . . . . . . ",
". . . . . . . . . . ' ' ; ; [ [ 0 0 3 3 k k l l m m n n o o p p o o q q r r s s t t u u v v * * @ @ ! ! w w . . . . . . . . . . ",
". . . . . . . . ' ' ; ; [ [ 0 0 x x y y e e z z A A B B n n C C D D E E o o F F G G H H I I 2 2 & & j j 8 8 J J . . . . . . . . ",
". . . . . . . . ' ' ; ; [ [ 0 0 x x y y e e z z A A B B n n C C D D E E o o F F G G H H I I 2 2 & & j j 8 8 J J . . . . . . . . ",
". . . . . . @ @ K K [ [ 0 0 x x L L B B M M N N e e e e H H O O P P G G Q Q o o R R S S T T U U 3 3 7 7 V V W W . . . . . . . . ",
". . . . . . @ @ K K [ [ 0 0 x x L L B B M M N N e e e e H H O O P P G G Q Q o o R R S S T T U U 3 3 7 7 V V W W . . . . . . . . ",
". . . . . . 7 7 < < } } X X y y B B Y Y l l Z Z ` `  . .....H H +.+.B B G G Q Q o o F F @.@.#.#.$.$.%.%.V V w w &.&.. . . . . . ",
". . . . . . 7 7 < < } } X X y y B B Y Y l l Z Z ` `  . .....H H +.+.B B G G Q Q o o F F @.@.#.#.$.$.%.%.V V w w &.&.. . . . . . ",
". . . . *.*.; ; ^ ^ 0 0 =.=.e e M M l l -.-.;.;.>.>.,.,.'.'.N N ).).!.!.C C T T ~.~.R R S S {.{.].].^.^.$ $ w w . . /./.. . . . ",
". . . . *.*.; ; ^ ^ 0 0 =.=.e e M M l l -.-.;.;.>.>.,.,.'.'.N N ).).!.!.C C T T ~.~.R R S S {.{.].].^.^.$ $ w w . . /./.. . . . ",
". . . . & & ] ] (.(._._.l l z z N N Z Z ;.;.:.:.<.<. . .L L ].].+.+.B B [.[.T T E E }.}.q q {.{.#.#.|.|.1.1.J J . . 2.2.. . . . ",
". . . . & & ] ] (.(._._.l l z z N N Z Z ;.;.:.:.<.<. . .L L ].].+.+.B B [.[.T T E E }.}.q q {.{.#.#.|.|.1.1.J J . . 2.2.. . . . ",
". . . . * * / / | | 3.3.m m A A e e ` ` >.>.<.<.|.|.4.4.m m 5.5.6.6.A A [.[.T T E E }.}.q q @.@.7.7.].].8.8.@ @ 9.9.0.0.. . . . ",
". . . . * * / / | | 3.3.m m A A e e ` ` >.>.<.<.|.|.4.4.m m 5.5.6.6.A A [.[.T T E E }.}.q q @.@.7.7.].].8.8.@ @ 9.9.0.0.. . . . ",
". . + + ; ; ] ] 1 1 a.a.n n B B e e  . .,.,. . .4.4.d d b.b.+.+.!.!.n n r r #.#.~.~.}.}.q q @.@.7.7.Q Q c.c.^ ^ 2.2.d.d.9.9.. . ",
". . + + ; ; ] ] 1 1 a.a.n n B B e e  . .,.,. . .4.4.d d b.b.+.+.!.!.n n r r #.#.~.~.}.}.q q @.@.7.7.Q Q c.c.^ ^ 2.2.d.d.9.9.. . ",
". . @ @ = = < < e.e.c c o o n n H H ....'.'.L L m m b.b.M M f.f.A A [.[.D D Q Q ~.~.}.}.q q @.@.7.7.g.g.....h.h.i.i.j.j.i.i.. . ",
". . @ @ = = < < e.e.c c o o n n H H ....'.'.L L m m b.b.M M f.f.A A [.[.D D Q Q ~.~.}.}.q q @.@.7.7.g.g.....h.h.i.i.j.j.i.i.. . ",
". . # # - - ( ( 3 3 d d p p C C O O H H N N ].].5.5.+.+.f.f.B B C C r r #.#.E E p p R R q q @.@.7.7.k.k.l.l.1.1.m.m.n.n.n.n.. . ",
". . # # - - ( ( 3 3 d d p p C C O O H H N N ].].5.5.+.+.f.f.B B C C r r #.#.E E p p R R q q @.@.7.7.k.k.l.l.1.1.m.m.n.n.n.n.. . ",
". . $ $ ; ; = = X X d d o o D D P P +.+.).).+.+.6.6.!.!.A A C C r r T T Q Q ~.~.o o F F S S @.@.7.7.k.k.o.o.} } p.p.p.p.p.p.. . ",
". . $ $ ; ; = = X X d d o o D D P P +.+.).).+.+.6.6.!.!.A A C C r r T T Q Q ~.~.o o F F S S @.@.7.7.k.k.o.o.} } p.p.p.p.p.p.. . ",
". . j j > > * * 4 4 e e q q E E G G B B !.!.B B A A n n [.[.r r T T Q Q ~.~.o o R R q q S S {.{.k.k.g.g.q.q.] ] r.r.s.s.m.m.. . ",
". . j j > > * * 4 4 e e q q E E G G B B !.!.B B A A n n [.[.r r T T Q Q ~.~.o o R R q q S S {.{.k.k.g.g.q.q.] ] r.r.s.s.m.m.. . ",
". . w w , , > > 6 6 f f r r o o Q Q G G C C [.[.[.[.r r D D #.#.Q Q ~.~.o o }.}.F F q q @.@.7.7.k.k.Q Q t.t.) ) u.u.v.v.2.2.. . ",
". . w w , , > > 6 6 f f r r o o Q Q G G C C [.[.[.[.r r D D #.#.Q Q ~.~.o o }.}.F F q q @.@.7.7.k.k.Q Q t.t.) ) u.u.v.v.2.2.. . ",
". . . . ' ' , , ^ ^ g g s s F F o o Q Q T T T T T T #.#.Q Q E E ~.~.o o }.}.F F q q S S {.{.7.7.k.k.w.w.x.x.y.y.u.u.u.u.. . . . ",
". . . . ' ' , , ^ ^ g g s s F F o o Q Q T T T T T T #.#.Q Q E E ~.~.o o }.}.F F q q S S {.{.7.7.k.k.w.w.x.x.y.y.u.u.u.u.. . . . ",
". . . . ) ) _ _ 7 7 z.z.t t G G R R o o ~.~.E E E E ~.~.~.~.p p o o R R F F q q S S @.@.7.7.k.k.Q Q t.t.) ) u.u.u.u.u.u.. . . . ",
". . . . ) ) _ _ 7 7 z.z.t t G G R R o o ~.~.E E E E ~.~.~.~.p p o o R R F F q q S S @.@.7.7.k.k.Q Q t.t.) ) u.u.u.u.u.u.. . . . ",
". . . . V V ) ) ' ' ( ( A.A.H H S S F F R R }.}.}.}.}.}.}.}.R R F F q q q q S S @.@.{.{.k.k.k.k.w.w.x.x.y.y.u.u.u.u.p.p.. . . . ",
". . . . V V ) ) ' ' ( ( A.A.H H S S F F R R }.}.}.}.}.}.}.}.R R F F q q q q S S @.@.{.{.k.k.k.k.w.w.x.x.y.y.u.u.u.u.p.p.. . . . ",
". . . . . . j j ) ) # # v v I I T T @.@.S S q q q q q q q q q q S S S S @.@.{.{.7.7.k.k.k.k.E E t.t.) ) u.u.u.u.u.u.. . . . . . ",
". . . . . . j j ) ) # # v v I I T T @.@.S S q q q q q q q q q q S S S S @.@.{.{.7.7.k.k.k.k.E E t.t.) ) u.u.u.u.u.u.. . . . . . ",
". . . . . . w w ~ ~ i i K K e.e.U U #.#.{.{.{.{.@.@.@.@.@.@.@.@.@.@.{.{.7.7.7.7.k.k.k.k.E E $.$.B.B.y.y.u.u.u.u.C.C.. . . . . . ",
". . . . . . w w ~ ~ i i K K e.e.U U #.#.{.{.{.{.@.@.@.@.@.@.@.@.@.@.{.{.7.7.7.7.k.k.k.k.E E $.$.B.B.y.y.u.u.u.u.C.C.. . . . . . ",
". . . . . . . . 8 8 j j @ @ D.D.X X $.$.].].#.#.7.7.7.7.7.7.7.7.7.7.k.k.k.k.k.k.Q Q w.w.t.t.B.B.y.y.u.u.u.u.u.u.. . . . . . . . ",
". . . . . . . . 8 8 j j @ @ D.D.X X $.$.].].#.#.7.7.7.7.7.7.7.7.7.7.k.k.k.k.k.k.Q Q w.w.t.t.B.B.y.y.u.u.u.u.u.u.. . . . . . . . ",
". . . . . . . . . . : : V V E.E.{ { B.B.-.-.|.|.].].Q Q g.g.k.k.k.k.g.g.Q Q w.w.t.t.x.x.) ) y.y.u.u.u.u.u.u.. . . . . . . . . . ",
". . . . . . . . . . : : V V E.E.{ { B.B.-.-.|.|.].].Q Q g.g.k.k.k.k.g.g.Q Q w.w.t.t.x.x.) ) y.y.u.u.u.u.u.u.. . . . . . . . . . ",
". . . . . . . . . . . . W W + + V V 8 8 $ $ F.F.8.8.c.c.....l.l.o.o.q.q.t.t.x.x.) ) y.y.u.u.u.u.u.u.u.u.. . . . . . . . . . . . ",
". . . . . . . . . . . . W W + + V V 8 8 $ $ F.F.8.8.c.c.....l.l.o.o.q.q.t.t.x.x.) ) y.y.u.u.u.u.u.u.u.u.. . . . . . . . . . . . ",
". . . . . . . . . . . . . . J J W W w w W W G.G.@ @ ^ ^ h.h.1.1.9 9 / / ) ) y.y.u.u.u.u.u.u.u.u.u.u.. . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . J J W W w w W W G.G.@ @ ^ ^ h.h.1.1.9 9 / / ) ) y.y.u.u.u.u.u.u.u.u.u.u.. . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . 9.9.9.9.&.&.. . H.H.0.0.j.j.n.n.I.I.J.J.u.u.u.u.u.u.u.u.u.u.y.y.. . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . 9.9.9.9.&.&.. . H.H.0.0.j.j.n.n.I.I.J.J.u.u.u.u.u.u.u.u.u.u.y.y.. . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . 2.2.2.2.K.K.j.j.L.L.y.y.I.I.J.J.u.u.u.u.u.u.p.p.. . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . 2.2.2.2.K.K.j.j.L.L.y.y.I.I.J.J.u.u.u.u.u.u.p.p.. . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . 2.2.M.M.C.C.p.p.n.n.0.0.. . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . 2.2.M.M.C.C.p.p.n.n.0.0.. . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . "};

const char * ledon_xpm[] = {
"64 64 295 2",
"  	c None",
". 	c None",
"+ 	c #DCDCDC",
"@ 	c #D5D5D5",
"# 	c #CFCFCF",
"$ 	c #D0D0D0",
"% 	c #D4D4D4",
"& 	c #C7C7C7",
"* 	c #C4C4C4",
"= 	c #C2C2C2",
"- 	c #C1C1C1",
"; 	c #C3C3C3",
"> 	c #C6C6C6",
", 	c #C9C9C9",
"' 	c #CDCDCD",
") 	c #D1D1D1",
"! 	c #D9D9D9",
"~ 	c #D6D6D6",
"{ 	c #CBCBCB",
"] 	c #BEBEBE",
"^ 	c #BCBCBC",
"/ 	c #BDBDBD",
"( 	c #C0C0C0",
"_ 	c #CCCCCC",
": 	c #DDDDDD",
"< 	c #BFBFBF",
"[ 	c #BBBBBB",
"} 	c #B9B9B9",
"| 	c #BCAFAF",
"1 	c #C79A9A",
"2 	c #CD9090",
"3 	c #CE9292",
"4 	c #D09494",
"5 	c #D29595",
"6 	c #CEA2A2",
"7 	c #C9BCBC",
"8 	c #CACACA",
"9 	c #DBDBDB",
"0 	c #B8B8B8",
"a 	c #BAACAC",
"b 	c #C29595",
"c 	c #D27777",
"d 	c #E44949",
"e 	c #EE3333",
"f 	c #EE3535",
"g 	c #EF3535",
"h 	c #EF3434",
"i 	c #E14C4C",
"j 	c #D97E7E",
"k 	c #CFA5A5",
"l 	c #CDC0C0",
"m 	c #D2D2D2",
"n 	c #D7D7D7",
"o 	c #BF9292",
"p 	c #CD7373",
"q 	c #E24848",
"r 	c #F93232",
"s 	c #FD1919",
"t 	c #FE0C0C",
"u 	c #FE0D0D",
"v 	c #FE0808",
"w 	c #FD1414",
"x 	c #F52F2F",
"y 	c #DD4D4D",
"z 	c #D38181",
"A 	c #CAA8A8",
"B 	c #CFC4C4",
"C 	c #DEDEDE",
"D 	c #C97D7D",
"E 	c #E04545",
"F 	c #F93434",
"G 	c #FD2222",
"H 	c #FE1A1A",
"I 	c #FE1B1B",
"J 	c #FE1919",
"K 	c #FE1717",
"L 	c #FE1313",
"M 	c #FE0F0F",
"N 	c #FE0909",
"O 	c #FD1515",
"P 	c #E42E2E",
"Q 	c #C44E4E",
"R 	c #C79090",
"S 	c #D1C7C7",
"T 	c #E0E0E0",
"U 	c #C5C5C5",
"V 	c #E53B3B",
"W 	c #FD1B1B",
"X 	c #FE2424",
"Y 	c #FE3030",
"Z 	c #FE3434",
"` 	c #FE2E2E",
" .	c #FE2626",
"..	c #FE1C1C",
"+.	c #FE1515",
"@.	c #FE1010",
"#.	c #FE0A0A",
"$.	c #F70707",
"%.	c #DB1212",
"&.	c #BD4343",
"*.	c #C29292",
"=.	c #D3CACA",
"-.	c #DADADA",
";.	c #DFDFDF",
">.	c #C09393",
",.	c #FE2929",
"'.	c #FE4848",
").	c #FE6060",
"!.	c #FE5F5F",
"~.	c #FE4F4F",
"{.	c #FE3C3C",
"].	c #FE2323",
"^.	c #F90909",
"/.	c #EB0606",
"(.	c #CE1111",
"_.	c #B35151",
":.	c #CDB0B0",
"<.	c #E3E3E3",
"[.	c #D3D3D3",
"}.	c #CF7474",
"|.	c #FE8B8B",
"1.	c #FE9B9B",
"2.	c #FE7878",
"3.	c #FE5959",
"4.	c #FE4141",
"5.	c #FE2525",
"6.	c #FE1D1D",
"7.	c #FE1212",
"8.	c #FE0E0E",
"9.	c #F90A0A",
"0.	c #EC0707",
"a.	c #DD0505",
"b.	c #C02D2D",
"c.	c #C28989",
"d.	c #D8D0D0",
"e.	c #E6E6E6",
"f.	c #BABABA",
"g.	c #C39797",
"h.	c #FE8787",
"i.	c #FE6A6A",
"j.	c #FE3B3B",
"k.	c #FE2D2D",
"l.	c #FE1616",
"m.	c #F80B0B",
"n.	c #EB0808",
"o.	c #DE0505",
"p.	c #C81111",
"q.	c #B45555",
"r.	c #D1B5B5",
"s.	c #E7E7E7",
"t.	c #D27676",
"u.	c #FE5555",
"v.	c #FE4242",
"w.	c #FE3232",
"x.	c #FE2727",
"y.	c #FE2020",
"z.	c #F70B0B",
"A.	c #DE0606",
"B.	c #CA0404",
"C.	c #AE2D2D",
"D.	c #BA8F8F",
"E.	c #DCD5D5",
"F.	c #E4E4E4",
"G.	c #E8E8E8",
"H.	c #C89A9A",
"I.	c #E54A4A",
"J.	c #FE3535",
"K.	c #FE2A2A",
"L.	c #FE1414",
"M.	c #FE1111",
"N.	c #FD0E0E",
"O.	c #F40B0B",
"P.	c #E90808",
"Q.	c #DD0606",
"R.	c #C90404",
"S.	c #AA1010",
"T.	c #A15858",
"U.	c #D2BCBC",
"V.	c #EAEAEA",
"W.	c #CD9191",
"X.	c #FE1F1F",
"Y.	c #FA0E0E",
"Z.	c #F10B0B",
"`.	c #E70808",
" +	c #DC0606",
".+	c #C70404",
"++	c #AA0202",
"@+	c #993C3C",
"#+	c #D0B2B2",
"$+	c #EBEBEB",
"%+	c #ECECEC",
"&+	c #CF9292",
"*+	c #FC0F0F",
"=+	c #F60D0D",
"-+	c #EE0A0A",
";+	c #E40808",
">+	c #DA0606",
",+	c #C50404",
"'+	c #AD0303",
")+	c #9D3D3D",
"!+	c #D4B5B5",
"~+	c #EFEFEF",
"{+	c #F0F0F0",
"]+	c #D09393",
"^+	c #FC1010",
"/+	c #F80E0E",
"(+	c #F20C0C",
"_+	c #EA0909",
":+	c #E10707",
"<+	c #D40606",
"[+	c #C00404",
"}+	c #A70303",
"|+	c #983F3F",
"1+	c #D6B9B9",
"2+	c #F4F4F4",
"3+	c #D19494",
"4+	c #F30C0C",
"5+	c #E50808",
"6+	c #DC0707",
"7+	c #CC0505",
"8+	c #B70303",
"9+	c #960202",
"0+	c #8A4040",
"a+	c #D6BEBE",
"b+	c #FAFAFA",
"c+	c #F9F9F9",
"d+	c #CDA2A2",
"e+	c #F40C0C",
"f+	c #EE0B0B",
"g+	c #E90909",
"h+	c #E10808",
"i+	c #C30404",
"j+	c #AE0303",
"k+	c #8A1010",
"l+	c #936161",
"m+	c #DFD1D1",
"n+	c #FFFFFF",
"o+	c #FEFEFE",
"p+	c #D67E7E",
"q+	c #E30808",
"r+	c #BA0404",
"s+	c #A50303",
"t+	c #862C2C",
"u+	c #BEA1A1",
"v+	c #F5F1F1",
"w+	c #CEA4A4",
"x+	c #DE0707",
"y+	c #D30606",
"z+	c #C20404",
"A+	c #B00303",
"B+	c #991010",
"C+	c #9B6161",
"D+	c #E1D1D1",
"E+	c #CCC0C0",
"F+	c #D58080",
"G+	c #C50505",
"H+	c #B40303",
"I+	c #A10303",
"J+	c #812C2C",
"K+	c #C3A1A1",
"L+	c #F6F1F1",
"M+	c #D50606",
"N+	c #790F0F",
"O+	c #836161",
"P+	c #DBD1D1",
"Q+	c #D0C5C5",
"R+	c #CB9191",
"S+	c #BE4343",
"T+	c #7C5151",
"U+	c #C2B1B1",
"V+	c #F4F1F1",
"W+	c #F2F2F2",
"X+	c #D2C8C8",
"Y+	c #CA9393",
"Z+	c #822C2C",
"`+	c #C4B1B1",
" @	c #D8D8D8",
".@	c #D3CBCB",
"+@	c #CDB1B1",
"@@	c #CE8B8B",
"#@	c #B55555",
"$@	c #C8A1A1",
"%@	c #D2B7B7",
"&@	c #CA8F8F",
"*@	c #CAA1A1",
"=@	c #E1E1E1",
"-@	c #D6B8B8",
";@	c #D5BDBD",
">@	c #E5E5E5",
",@	c #F5F5F5",
"'@	c #FBFBFB",
")@	c #F1F1F1",
"!@	c #E9E9E9",
"~@	c #EEEEEE",
"{@	c #EDEDED",
". . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . + + @ @ # # $ $ @ @ + + . . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . + + @ @ # # $ $ @ @ + + . . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . % % & & * * = = - - - - ; ; > > , , ' ' ) ) ! ! . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . % % & & * * = = - - - - ; ; > > , , ' ' ) ) ! ! . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . ~ ~ { { = = ] ] ^ ^ / / ] ] ( ( = = * * & & , , _ _ $ $ @ @ : : . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . ~ ~ { { = = ] ] ^ ^ / / ] ] ( ( = = * * & & , , _ _ $ $ @ @ : : . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . ' ' * * < < [ [ } } | | 1 1 2 2 3 3 4 4 5 5 6 6 7 7 8 8 ' ' ) ) @ @ 9 9 . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . ' ' * * < < [ [ } } | | 1 1 2 2 3 3 4 4 5 5 6 6 7 7 8 8 ' ' ) ) @ @ 9 9 . . . . . . . . . . . . . . ",
". . . . . . . . . . . . ' ' ; ; [ [ 0 0 a a b b c c d d e e f f g g h h i i j j k k l l # # m m n n + + . . . . . . . . . . . . ",
". . . . . . . . . . . . ' ' ; ; [ [ 0 0 a a b b c c d d e e f f g g h h i i j j k k l l # # m m n n + + . . . . . . . . . . . . ",
". . . . . . . . . . ' ' ; ; [ [ a a o o p p q q r r s s t t u u t t v v w w x x y y z z A A B B @ @ ! ! C C . . . . . . . . . . ",
". . . . . . . . . . ' ' ; ; [ [ a a o o p p q q r r s s t t u u t t v v w w x x y y z z A A B B @ @ ! ! C C . . . . . . . . . . ",
". . . . . . . . ' ' ; ; [ [ a a D D E E F F G G H H I I J J K K L L M M t t N N O O P P Q Q R R S S n n 9 9 T T . . . . . . . . ",
". . . . . . . . ' ' ; ; [ [ a a D D E E F F G G H H I I J J K K L L M M t t N N O O P P Q Q R R S S n n 9 9 T T . . . . . . . . ",
". . . . . . @ @ U U [ [ a a D D V V W W X X Y Y Z Z Z Z ` `  . .....+.+.@.@.t t #.#.$.$.%.%.&.&.*.*.=.=.-.-.;.;.. . . . . . . . ",
". . . . . . @ @ U U [ [ a a D D V V W W X X Y Y Z Z Z Z ` `  . .....+.+.@.@.t t #.#.$.$.%.%.&.&.*.*.=.=.-.-.;.;.. . . . . . . . ",
". . . . . . 8 8 < < } } >.>.E E W W ,.,.'.'.).).!.!.~.~.{.{.` ` ].].I I +.+.@.@.t t ^.^././.(.(._._.:.:.-.-.C C <.<.. . . . . . ",
". . . . . . 8 8 < < } } >.>.E E W W ,.,.'.'.).).!.!.~.~.{.{.` ` ].].I I +.+.@.@.t t ^.^././.(.(._._.:.:.-.-.C C <.<.. . . . . . ",
". . . . [.[.; ; ^ ^ a a }.}.F F X X '.'.|.|.1.1.2.2.3.3.4.4.Y Y 5.5.6.6.K K 7.7.8.8.9.9.0.0.a.a.b.b.c.c.d.d.C C . . e.e.. . . . ",
". . . . [.[.; ; ^ ^ a a }.}.F F X X '.'.|.|.1.1.2.2.3.3.4.4.Y Y 5.5.6.6.K K 7.7.8.8.9.9.0.0.a.a.b.b.c.c.d.d.C C . . e.e.. . . . ",
". . . . & & ] ] f.f.g.g.q q G G Y Y ).).1.1.h.h.i.i.~.~.j.j.k.k.].].I I l.l.7.7.M M m.m.n.n.o.o.p.p.q.q.r.r.T T . . s.s.. . . . ",
". . . . & & ] ] f.f.g.g.q q G G Y Y ).).1.1.h.h.i.i.~.~.j.j.k.k.].].I I l.l.7.7.M M m.m.n.n.o.o.p.p.q.q.r.r.T T . . s.s.. . . . ",
". . . . * * / / | | t.t.r r H H Z Z !.!.2.2.i.i.u.u.v.v.w.w.x.x.y.y.H H l.l.7.7.M M z.z.n.n.A.A.B.B.C.C.D.D.E.E.F.F.G.G.. . . . ",
". . . . * * / / | | t.t.r r H H Z Z !.!.2.2.i.i.u.u.v.v.w.w.x.x.y.y.H H l.l.7.7.M M z.z.n.n.A.A.B.B.C.C.D.D.E.E.F.F.G.G.. . . . ",
". . + + ; ; ] ] H.H.I.I.s s I I Z Z ~.~.3.3.~.~.v.v.J.J.K.K.].].6.6.J J L.L.M.M.N.N.O.O.P.P.Q.Q.R.R.S.S.T.T.U.U.s.s.V.V.F.F.. . ",
". . + + ; ; ] ] H.H.I.I.s s I I Z Z ~.~.3.3.~.~.v.v.J.J.K.K.].].6.6.J J L.L.M.M.N.N.O.O.P.P.Q.Q.R.R.S.S.T.T.U.U.s.s.V.V.F.F.. . ",
". . @ @ = = < < W.W.e e t t J J ` ` {.{.4.4.j.j.w.w.K.K.X X X.X.H H l.l.L L @.@.Y.Y.Z.Z.`.`. + +.+.+++++@+@+#+#+$+$+%+%+$+$+. . ",
". . @ @ = = < < W.W.e e t t J J ` ` {.{.4.4.j.j.w.w.K.K.X X X.X.H H l.l.L L @.@.Y.Y.Z.Z.`.`. + +.+.+++++@+@+#+#+$+$+%+%+$+$+. . ",
". . # # - - ( ( &+&+f f u u K K  . .` ` Y Y k.k.x.x.].].X.X.I I K K L.L.M.M.*+*+=+=+-+-+;+;+>+>+,+,+'+'+)+)+!+!+~+~+{+{+{+{+. . ",
". . # # - - ( ( &+&+f f u u K K  . .` ` Y Y k.k.x.x.].].X.X.I I K K L.L.M.M.*+*+=+=+-+-+;+;+>+>+,+,+'+'+)+)+!+!+~+~+{+{+{+{+. . ",
". . $ $ ; ; = = ]+]+g g t t L L ....].].5.5.].].y.y.6.6.H H K K L.L.7.7.^+^+/+/+(+(+_+_+:+:+<+<+[+[+}+}+|+|+1+1+2+2+2+2+2+2+. . ",
". . $ $ ; ; = = ]+]+g g t t L L ....].].5.5.].].y.y.6.6.H H K K L.L.7.7.^+^+/+/+(+(+_+_+:+:+<+<+[+[+}+}+|+|+1+1+2+2+2+2+2+2+. . ",
". . n n > > * * 3+3+h h v v M M +.+.I I 6.6.I I H H J J l.l.L.L.7.7.^+^+/+/+4+4+-+-+5+5+6+6+7+7+8+8+9+9+0+0+a+a+b+b+c+c+~+~+. . ",
". . n n > > * * 3+3+h h v v M M +.+.I I 6.6.I I H H J J l.l.L.L.7.7.^+^+/+/+4+4+-+-+5+5+6+6+7+7+8+8+9+9+0+0+a+a+b+b+c+c+~+~+. . ",
". . C C , , > > d+d+i i w w t t @.@.+.+.K K l.l.l.l.L.L.L L M.M.^+^+/+/+e+e+f+f+g+g+h+h+<+<+i+i+j+j+k+k+l+l+m+m+n+n+o+o+s.s.. . ",
". . C C , , > > d+d+i i w w t t @.@.+.+.K K l.l.l.l.L.L.L L M.M.^+^+/+/+e+e+f+f+g+g+h+h+<+<+i+i+j+j+k+k+l+l+m+m+n+n+o+o+s.s.. . ",
". . . . ' ' , , 7 7 p+p+x x N N t t @.@.7.7.7.7.7.7.M.M.@.@.*+*+/+/+4+4+f+f+g+g+q+q+6+6+7+7+r+r+s+s+t+t+u+u+v+v+n+n+n+n+. . . . ",
". . . . ' ' , , 7 7 p+p+x x N N t t @.@.7.7.7.7.7.7.M.M.@.@.*+*+/+/+4+4+f+f+g+g+q+q+6+6+7+7+r+r+s+s+t+t+u+u+v+v+n+n+n+n+. . . . ",
". . . . ) ) _ _ 8 8 w+w+y y O O #.#.t t 8.8.M M M M N.N.Y.Y.=+=+(+(+-+-+g+g+q+q+x+x+y+y+z+z+A+A+B+B+C+C+D+D+n+n+n+n+n+n+. . . . ",
". . . . ) ) _ _ 8 8 w+w+y y O O #.#.t t 8.8.M M M M N.N.Y.Y.=+=+(+(+-+-+g+g+q+q+x+x+y+y+z+z+A+A+B+B+C+C+D+D+n+n+n+n+n+n+. . . . ",
". . . . -.-.) ) ' ' E+E+F+F+P P $.$.^.^.9.9.m.m.z.z.O.O.Z.Z.-+-+_+_+5+5+h+h+6+6+y+y+G+G+H+H+I+I+J+J+K+K+L+L+n+n+n+n+2+2+. . . . ",
". . . . -.-.) ) ' ' E+E+F+F+P P $.$.^.^.9.9.m.m.z.z.O.O.Z.Z.-+-+_+_+5+5+h+h+6+6+y+y+G+G+H+H+I+I+J+J+K+K+L+L+n+n+n+n+2+2+. . . . ",
". . . . . . n n ) ) # # A A Q Q %.%././.0.0.n.n.n.n.P.P.`.`.;+;+:+:+6+6+M+M+7+7+z+z+H+H+I+I+N+N+O+O+P+P+n+n+n+n+n+n+. . . . . . ",
". . . . . . n n ) ) # # A A Q Q %.%././.0.0.n.n.n.n.P.P.`.`.;+;+:+:+6+6+M+M+7+7+z+z+H+H+I+I+N+N+O+O+P+P+n+n+n+n+n+n+. . . . . . ",
". . . . . . C C ~ ~ m m Q+Q+R+R+S+S+(.(.a.a.o.o.A.A.Q.Q. + +>+>+<+<+7+7+i+i+r+r+A+A+I+I+N+N+T+T+U+U+V+V+n+n+n+n+W+W+. . . . . . ",
". . . . . . C C ~ ~ m m Q+Q+R+R+S+S+(.(.a.a.o.o.A.A.Q.Q. + +>+>+<+<+7+7+i+i+r+r+A+A+I+I+N+N+T+T+U+U+V+V+n+n+n+n+W+W+. . . . . . ",
". . . . . . . . 9 9 n n @ @ X+X+Y+Y+_._.b.b.p.p.B.B.R.R..+.+,+,+[+[+8+8+j+j+s+s+B+B+Z+Z+O+O+`+`+V+V+n+n+n+n+n+n+. . . . . . . . ",
". . . . . . . . 9 9 n n @ @ X+X+Y+Y+_._.b.b.p.p.B.B.R.R..+.+,+,+[+[+8+8+j+j+s+s+B+B+Z+Z+O+O+`+`+V+V+n+n+n+n+n+n+. . . . . . . . ",
". . . . . . . . . . : : -.-. @ @.@.@+@+@@@@@#@#@C.C.S.S.++++'+'+}+}+9+9+k+k+t+t+C+C+$@$@P+P+V+V+n+n+n+n+n+n+. . . . . . . . . . ",
". . . . . . . . . . : : -.-. @ @.@.@+@+@@@@@#@#@C.C.S.S.++++'+'+}+}+9+9+k+k+t+t+C+C+$@$@P+P+V+V+n+n+n+n+n+n+. . . . . . . . . . ",
". . . . . . . . . . . . ;.;.+ + -.-.9 9 d.d.%@%@&@&@T.T.@+@+)+)+|+|+0+0+l+l+*@*@D+D+L+L+n+n+n+n+n+n+n+n+. . . . . . . . . . . . ",
". . . . . . . . . . . . ;.;.+ + -.-.9 9 d.d.%@%@&@&@T.T.@+@+)+)+|+|+0+0+l+l+*@*@D+D+L+L+n+n+n+n+n+n+n+n+. . . . . . . . . . . . ",
". . . . . . . . . . . . . . T T ;.;.C C ;.;.=@=@E.E.U.U.#+#+!+!+-@-@;@;@m+m+v+v+n+n+n+n+n+n+n+n+n+n+. . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . T T ;.;.C C ;.;.=@=@E.E.U.U.#+#+!+!+-@-@;@;@m+m+v+v+n+n+n+n+n+n+n+n+n+n+. . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . F.F.F.F.<.<.. . >@>@G.G.%+%+{+{+,@,@'@'@n+n+n+n+n+n+n+n+n+n+)@)@. . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . F.F.F.F.<.<.. . >@>@G.G.%+%+{+{+,@,@'@'@n+n+n+n+n+n+n+n+n+n+)@)@. . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . s.s.s.s.!@!@%+%+~@~@)@)@,@,@'@'@n+n+n+n+n+n+2+2+. . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . s.s.s.s.!@!@%+%+~@~@)@)@,@,@'@'@n+n+n+n+n+n+2+2+. . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . s.s.{@{@W+W+2+2+{+{+G.G.. . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . s.s.{@{@W+W+2+2+{+{+G.G.. . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . "};


 QPixmap pixmap(on_?ledon_xpm:ledoff_xpm);
 QPainter painter(this);
 painter.drawPixmap(0, 0, pixmap.scaled(size_, size_));
}
 
void LED::
setOn(void)
{
  set(true);
}
void LED::
setOff(void)
{
  set(false);
}
void LED::
set(bool v)
{
  on_=v;
  update();
}
bool LED::
on(void) const
{
  return on_;
}
